<ion-view view-title="Clientes" data-ng-init="init()">
  <ion-content>
    <div class="content-page">
    <ion-header-bar class="top">


      <div class="row">
      <button class="button button-icon ion-refresh" ng-click="refreshList()"></button>
      <h1 class="title">Agregar Cliente</h1>
      <button class="button button-icon ion-person-add" ng-click="addItem()"></button>
      </div>
    </ion-header-bar>
    <div class="row card">
      <h5>Buscar: </h5><input type="text" placeholder="filtrar usuarios" ng-model="searchText" style="margin-left:5px;width: 400px;"></input>
    </div>
    <div class="list card">

      <ion-item ng-repeat="item in clientes  | filter:searchText track by $index" style="padding: 0px;">
        <div class="row">
          <div class="col">
            {{item.nombre}}  {{item.apellido}}
          </div>
          <div class="col" style="text-align: right;">
            <i class="acciones icon ion-edit" ng-click="viewDetails(item)"></i>
            <i class="acciones icon ion-social-bitcoin" ng-click="ingresarPago(item)" ng-class="{'deudor':esDeudor(item)}"></i>
            <i class="acciones icon ion-eye" ng-click="verPagosCliente(item)"></i>
            <i class="acciones icon ion-ios-trash" ng-click="eliminarCliente(item)"></i>
          </div>

        </div>


      </ion-item>
    </div>
    </div>
  </ion-content>
</ion-view>



